Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jboss.subsystem
Class ModeShapeSubsystemXMLWriter

    java.lang.Object
      org.modeshape.jboss.subsystem.ModeShapeSubsystemXMLWriter

All Implemented Interfaces:
  XMLStreamConstants, org.jboss.staxmapper.XMLElementWriter<org.jboss.as.controller.persistence.SubsystemMarshallingContext>

    public class ModeShapeSubsystemXMLWriter

extends Object
implements XMLStreamConstants, org.jboss.staxmapper.XMLElementWriter<org.jboss.as.controller.persistence.SubsystemMarshallingContext>

XML writer for current ModeShape subsystem schema version.

Field Summary

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Constructor Summary
`ModeShapeSubsystemXMLWriter()`

Method Summary
`void` | `writeContent(org.jboss.staxmapper.XMLExtendedStreamWriter writer, org.jboss.as.controller.persistence.SubsystemMarshallingContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModeShapeSubsystemXMLWriter

    public ModeShapeSubsystemXMLWriter()

Method Detail

### writeContent

    public void writeContent(org.jboss.staxmapper.XMLExtendedStreamWriter writer,
                             org.jboss.as.controller.persistence.SubsystemMarshallingContext context)
                      throws XMLStreamException

  Specified by:
    `writeContent` in interface `org.jboss.staxmapper.XMLElementWriter<org.jboss.as.controller.persistence.SubsystemMarshallingContext>`
  Throws:
    `XMLStreamException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.